apptainer-unit-test-parallel-test-deploy:
  when: manual # This test is redundant
  dependencies: []
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
    JOB_TIME_SEC: 1800
  stage: test-deploy
  script:
    - make test-report-parallel JOBS=8
  tags:
    - slurm
    - apptainer
  artifacts:
    when: always
    paths:
      - report-parallel.xml
    reports:
      junit: report-parallel.xml


apptainer-unit-test-serial-test-deploy:
  dependencies: []
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  stage: test-deploy-serial-apptainer
  script:
    - make test-report-serial
  tags:
    - slurm
    - apptainer
  artifacts:
    when: always
    paths:
      - report-serial.xml
    reports:
      junit: report-serial.xml


apptainer-lint-test-deploy:
  dependencies: []
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  stage: test-deploy
  script:
    - make shellcheck
  tags:
    - slurm
    - apptainer
